Ubuntu 18.04/19.04/19.10 编译安装最新的 Xfce 4.14
2019/08/18 16:10:42 来源:Linux公社 作者:醉落红尘

Xfce 是类 UNIX 操作系统上的轻量级桌面环境。最新版 Xfce 4.14 刚刚发布不久,虽然它致力于快速与低资源消耗,但仍然具有视觉吸引力且易于使用。在Ubuntu的软件中心里面使用的还是4.12的版本,所以通过apt-get的方式安装xfce的版本为4.12。

要从源代码编译完整的Xfce桌面,需要一些有关依赖关系链的信息以及每个模块中可用的各种配置选项。

首先,您需要决定要编译哪个版本的Xfce。Xfce版本号是这样构造的:1.2.3 major.minor.micro。如果minor是偶数,这意味着它是一个稳定的版本。奇数次版本表示开发或测试快照。

一旦确定要编译哪个版本,就有几种方法可以下载源代码。 您可以选择构建正式发布的包,也可以克隆源存储库。 建议选择选择已发布的软件包。 源存储库可能会被破坏,通常不适合生产环境。 但是,它们始终包含最新功能,错误修复和翻译。

xfce的编译安装顺序有一定的要求,在安装之前需要删除老版本的xfce。如果编译顺序不对或者没有删除旧版本的xfce登录时后又再跳入登录界面。如果出现问题请删除旧版本的xfce,然后按照正确的顺序重新编译安装。

删除老版本的xfce执行:sudo apt-get remove xfce4-*  xfwm4 xfconf,其他的软件根据个人安装情况进行删除,如果未删除也不会影响,执行apt-get的时候可能会提示你一些无用软件,这是可以使用apt-get删除掉。

Ubuntu 18.04/19.04/19.10 编译安装最新的 Xfce 4.14

Xfce的依赖链

Xfce包需要按特定顺序构建。 如果不遵循此选项,则编译选项可能不可用,或者配置阶段将因缺少依赖性而中止。

准备完毕后先下载xfce4.14,下载 – 获取源码 tarball ,然后解压,进入相应的目录执行“ ./configure && make && sudo make install ”,编译顺序为

下载的其他软件最后编译安装,还有一些软件请到此处下载:http://archive.xfce.org/src/,比如可能需要orage,那就去http://archive.xfce.org/src/apps/orage下载最新版本编译安装即可。

在编译过程中有一些依赖需要安装,提示错误的时候再安装也可,比如提示缺少libwnck,可以执行apt-cache search libwnck来查找这个软件包,最好不要带版本号,然后使用sudo apt-get install libwnck-3-dev即可(安装带dev字样的包)。

安装完成后还需要自己进行一些配置,来慢足个人的需求。

Xfce 4.14 发布,Linux桌面环境  https://www.linuxidc.com/Linux/2019-08/160172.htm

更多Ubuntu相关信息见Ubuntu 专题页面 https://www.linuxidc.com/topicnews.aspx?tid=2

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-08/160175.htm


5

本栏最新